Subject: [Dhcpv6bis] RFC3633.xml is now available

From: Tomek Mrugalski <[email-masked]>
Date: Wed, 11 Dec 2013 20:47:02 +0100

Good news, everyone!

Ralph Droms found in his mail archives the last XML for the I-D before
it was published as RFC3633. xml2rfc didn't like it, but I managed to
fix its formatting a bit and we now have an XML file that can be used on
modern (I'm using on-line version at xml.resource.org) xml2rfc.

The only sustantive change that I did was changing ipr from full2026 to
trust200902, because xml2rfc does not recognize "full2026". This should
only affect the boilerplate, so we hopefully can ignore that for now.

That fortunate event means that Andrew and I will have much easier work.
It's likely that we'll finish up much sooner, so we'll help with other work.

Files (xml and regenerated txt) pushed to git.

Tomek

---

From: Andrew Yourtchenko <[email-masked]>
Date: Sun, 15 Dec 2013 22:32:54 +0000 (WET)

Hi all,

> It's likely that we'll finish up much sooner, so we'll help with other work.

Indeed. Today I've got rid of most of the differences and synced the 
pagination: attaching the final diff vs. the "real" 3633.

Besides the slight jumble in the beginning and end, the only two 
non-whitespace differences remaining from the "real" RFC3633:

- the title of the figure 1. I think using "title" attribute instead of a 
fixed text with xref might be better.

- the awkward "section Section 9 for the representation" passage, with 
"Section 9" having been autogenerated, and the real RFC saying "section 9 
for the representation".

I pushed the stuff to git.

--a

> _______________________________________________
> Dhcpv6bis mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/dhcpv6bis
>

--- rfc3633.txt	2013-12-15 22:16:25.000000000 +0000
+++ ../../real-rfc3633.txt	2013-12-15 17:00:32.000000000 +0000
@@ -2,102 +2,79 @@

-DHC Working Group                                               O. Troan
-Internet-Draft                                                  R. Droms
-Intended status: Informational                             Cisco Systems
-Expires: June 3, 2004                                      December 2003

-                     IPv6 Prefix Options for DHCPv6
-                                RFC3633
-
-Abstract
-
-   The Prefix Delegation options provide a mechanism for automated
-   delegation of IPv6 prefixes using DHCP.  This mechanism is intended
-   for delegating a long-lived prefix from a delegating router to a
-   requesting router, across an administrative boundary, where the
-   delegating router does not require knowledge about the topology of
-   the links in the network to which the prefixes will be assigned.
-
-Status of This Memo
-
-   This Internet-Draft is submitted in full conformance with the
-   provisions of BCP 78 and BCP 79.
-
-   Internet-Drafts are working documents of the Internet Engineering
-   Task Force (IETF).  Note that other groups may also distribute
-   working documents as Internet-Drafts.  The list of current Internet-
-   Drafts is at http://datatracker.ietf.org/drafts/current/.
-
-   Internet-Drafts are draft documents valid for a maximum of six months
-   and may be updated, replaced, or obsoleted by other documents at any
-   time.  It is inappropriate to use Internet-Drafts as reference
-   material or to cite them other than as "work in progress."
-
-   This Internet-Draft will expire on June 3, 2004.
+Network Working Group                                           O. Troan
+Request for Comments: 3633                                      R. Droms
+Category: Standards Track                                  Cisco Systems
+                                                           December 2003
+
+
+                        IPv6 Prefix Options for
+          Dynamic Host Configuration Protocol (DHCP) version 6
+
+Status of this Memo
+
+   This document specifies an Internet standards track protocol for the
+   Internet community, and requests discussion and suggestions for
+   improvements.  Please refer to the current edition of the "Internet
+   Official Protocol Standards" (STD 1) for the standardization state
+   and status of this protocol.  Distribution of this memo is unlimited.
 
 Copyright Notice
 
-   Copyright (c) 2003 IETF Trust and the persons identified as the
-   document authors.  All rights reserved.
-
-
-
-
-
+   Copyright (C) The Internet Society (2003).  All Rights Reserved.
 
+Abstract
 
+   The Prefix Delegation options provide a mechanism for automated
+   delegation of IPv6 prefixes using the Dynamic Host Configuration
+   Protocol (DHCP).  This mechanism is intended for delegating a long-
+   lived prefix from a delegating router to a requesting router, across
+   an administrative boundary, where the delegating router does not
+   require knowledge about the topology of the links in the network to
+   which the prefixes will be assigned.
 
+Table of Contents
 
+   1.   Introduction . . . . . . . . . . . . . . . . . . . . . . . .   2
+   2.   DHCPv6 specification dependency  . . . . . . . . . . . . . .   3
+   3.   Terminology  . . . . . . . . . . . . . . . . . . . . . . . .   3
+   4.   Requirements . . . . . . . . . . . . . . . . . . . . . . . .   3
+   5.   Model and Applicability  . . . . . . . . . . . . . . . . . .   3
+        5.1.  Example network architecture . . . . . . . . . . . . .   4
+   6.   Identity Association for Prefix Delegation . . . . . . . . .   5
+   7.   Overview of DHCP with Prefix Delegation  . . . . . . . . . .   6
+   8.   Interface Selection  . . . . . . . . . . . . . . . . . . . .   7
+   9.   Identity Association for Prefix Delegation Option  . . . . .   7
+   10.  IA_PD Prefix option  . . . . . . . . . . . . . . . . . . . .   9
+   11.  Delegating Router Solicitation . . . . . . . . . . . . . . .  11
+        11.1. Requesting router behavior . . . . . . . . . . . . . .  11
+        11.2. Delegating router behavior . . . . . . . . . . . . . .  11
+   12.  Requesting router initiated prefix delegation  . . . . . . .  12

-Troan & Droms             Expires June 3, 2004                  [Page 1]
+Troan & Droms               Standards Track                     [Page 1]
 
-Internet-Draft       IPv6 Prefix Options for DHCPv6        December 2003
-
-
-   This document is subject to BCP 78 and the IETF Trust's Legal
-   Provisions Relating to IETF Documents
-   (http://trustee.ietf.org/license-info) in effect on the date of
-   publication of this document.  Please review these documents
-   carefully, as they describe your rights and restrictions with respect
-   to this document.  Code Components extracted from this document must
-   include Simplified BSD License text as described in Section 4.e of
-   the Trust Legal Provisions and are provided without warranty as
-   described in the Simplified BSD License.
+RFC 3633             IPv6 Prefix Options for DHCPv6        December 2003
 
-Table of Contents
 
-   1.  Introduction  . . . . . . . . . . . . . . . . . . . . . . . .   2
-   2.  DHCPv6 specification dependency . . . . . . . . . . . . . . .   4
-   3.  Terminology . . . . . . . . . . . . . . . . . . . . . . . . .   4
-   4.  Requirements  . . . . . . . . . . . . . . . . . . . . . . . .   4
-   5.  Model and Applicability . . . . . . . . . . . . . . . . . . .   4
-     5.1.  Example network architecture  . . . . . . . . . . . . . .   5
-   6.  Identity Association for Prefix Delegation  . . . . . . . . .   6
-   7.  Overview of DHCP with Prefix Delegation . . . . . . . . . . .   7
-   8.  Interface Selection . . . . . . . . . . . . . . . . . . . . .   8
-   9.  Identity Association for Prefix Delegation Option . . . . . .   8
-   10. IA_PD Prefix option . . . . . . . . . . . . . . . . . . . . .  10
-   11. Delegating Router Solicitation  . . . . . . . . . . . . . . .  12
-     11.1.  Requesting router behavior . . . . . . . . . . . . . . .  12
-     11.2.  Delegating router behavior . . . . . . . . . . . . . . .  12
-   12. Requesting router initiated prefix delegation . . . . . . . .  13
-     12.1.  Requesting router behavior . . . . . . . . . . . . . . .  13
-     12.2.  Delegating Router behavior . . . . . . . . . . . . . . .  15
-   13. Prefix Delegation reconfiguration . . . . . . . . . . . . . .  16
-     13.1.  Delegating Router behavior . . . . . . . . . . . . . . .  16
-     13.2.  Requesting Router behavior . . . . . . . . . . . . . . .  16
-   14. Relay agent behavior  . . . . . . . . . . . . . . . . . . . .  16
-   15. Security Considerations . . . . . . . . . . . . . . . . . . .  17
-   16. IANA Considerations . . . . . . . . . . . . . . . . . . . . .  17
-   17. Acknowledgements  . . . . . . . . . . . . . . . . . . . . . .  17
-   18. References  . . . . . . . . . . . . . . . . . . . . . . . . .  18
-     18.1.  Normative References . . . . . . . . . . . . . . . . . .  18
-     18.2.  Informative References . . . . . . . . . . . . . . . . .  18
-   Authors' Addresses  . . . . . . . . . . . . . . . . . . . . . . .  18
+        12.1. Requesting router behavior . . . . . . . . . . . . . .  12
+        12.2. Delegating Router behavior . . . . . . . . . . . . . .  14
+   13.  Prefix Delegation reconfiguration  . . . . . . . . . . . . .  15
+        13.1. Delegating Router behavior . . . . . . . . . . . . . .  15
+        13.2. Requesting Router behavior . . . . . . . . . . . . . .  15
+   14.  Relay agent behavior . . . . . . . . . . . . . . . . . . . .  15
+   15.  Security Considerations  . . . . . . . . . . . . . . . . . .  16
+   16.  IANA Considerations  . . . . . . . . . . . . . . . . . . . .  16
+   17.  Intellectual Property Statement. . . . . . . . . . . . . . .  17
+   18.  References . . . . . . . . . . . . . . . . . . . . . . . . .  17
+        18.1. Normative References . . . . . . . . . . . . . . . . .  17
+        18.2. Informative References . . . . . . . . . . . . . . . .  17
+   19.  Acknowledgements . . . . . . . . . . . . . . . . . . . . . .  18
+   20.  Authors' Addresses . . . . . . . . . . . . . . . . . . . . .  18
+   21.  Full Copyright Statement . . . . . . . . . . . . . . . . . .  19
 
 1.  Introduction
 
@@ -106,14 +83,6 @@
    prefixes [1].  Through these options, a delegating router can
    delegate prefixes to authorized requesting routers.
 
-
-
-
-Troan & Droms             Expires June 3, 2004                  [Page 2]
-
-Internet-Draft       IPv6 Prefix Options for DHCPv6        December 2003
-
-
    The prefix delegation mechanism described in this document is
    intended for simple delegation of prefixes from a delegating router
    to requesting routers.  It is appropriate for situations in which the
@@ -142,32 +111,9 @@

-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-Troan & Droms             Expires June 3, 2004                  [Page 3]
+Troan & Droms               Standards Track                     [Page 2]
 
-Internet-Draft       IPv6 Prefix Options for DHCPv6        December 2003
+RFC 3633             IPv6 Prefix Options for DHCPv6        December 2003

 2.  DHCPv6 specification dependency
@@ -190,7 +136,7 @@
    delegating router:  The router that acts as a DHCP server, and is
                        responding to the prefix request.
 
-   Identity Association for Prefix Delegation (IA_PD):  A collection of
+   Identity Association for Prefix Delegation (IA_PD): A collection of
                        prefixes assigned to the requesting router.  Each
                        IA_PD has an associated IAID.  A requesting
                        router may have more than one IA_PD assigned to
@@ -216,16 +162,18 @@
    from a delegated prefix to one of its interfaces, and begin sending
    router advertisements for the prefix on that link.
 
-   Each prefix has an associated valid and preferred lifetime, which
-   constitutes an agreement about the length of time over which the

-Troan & Droms             Expires June 3, 2004                  [Page 4]
+
+
+Troan & Droms               Standards Track                     [Page 3]
 
-Internet-Draft       IPv6 Prefix Options for DHCPv6        December 2003
+RFC 3633             IPv6 Prefix Options for DHCPv6        December 2003

+   Each prefix has an associated valid and preferred lifetime, which
+   constitutes an agreement about the length of time over which the
    requesting router is allowed to use the prefix.  A requesting router
    can request an extension of the lifetimes on a delegated prefix and
    is required to terminate the use of a delegated prefix if the valid
@@ -241,45 +189,43 @@
    Figure 1 illustrates a network architecture in which prefix
    delegation could be used.
 
-                  ______________________                 \
-                 /                      \                 \
-                |    ISP core network    |                 \
-                 \__________ ___________/                   |
-                            |                               |
-                    +-------+-------+                       |
-                    |  Aggregation  |                       | ISP
-                    |    device     |                       | network
-                    |  (delegating  |                       |
-                    |    router)    |                       |
-                    +-------+-------+                       |
-                            |                              /
-                            |DSL to subscriber            /
-                            |premises                    /
-                            |
-                     +------+------+                     \
-                     |     CPE     |                      \
-                     | (requesting |                       \
-                     |   router)   |                        |
-                     +----+---+----+                        |
-                          |   |                             | Subscriber
-   ---+-------------+-----+- -+-----+-------------+---      | network
-      |             |               |             |         |
- +----+-----+ +-----+----+     +----+-----+ +-----+----+    |
- |Subscriber| |Subscriber|     |Subscriber| |Subscriber|   /
- |    PC    | |    PC    |     |    PC    | |    PC    |  /
- +----------+ +----------+     +----------+ +----------+ /
+                 ______________________                 \
+                /                      \                 \
+               |    ISP core network    |                 \
+                \__________ ___________/                   |
+                           |                               |
+                   +-------+-------+                       |
+                   |  Aggregation  |                       | ISP
+                   |    device     |                       | network
+                   |  (delegating  |                       |
+                   |    router)    |                       |
+                   +-------+-------+                       |
+                           |                              /
+                           |DSL to subscriber            /
+                           |premises                    /
+                           |
+                    +------+------+                     \
+                    |     CPE     |                      \
+                    | (requesting |                       \
+                    |   router)   |                        |
+                    +----+---+----+                        |
+                         |   |                             | Subscriber
+  ---+-------------+-----+- -+-----+-------------+---      | network
+     |             |               |             |         |
++----+-----+ +-----+----+     +----+-----+ +-----+----+    |
+|Subscriber| |Subscriber|     |Subscriber| |Subscriber|   /
+|    PC    | |    PC    |     |    PC    | |    PC    |  /
++----------+ +----------+     +----------+ +----------+ /
 
    Figure 1: An example of prefix delegation.
 
-                                 Figure 1

 
-
-Troan & Droms             Expires June 3, 2004                  [Page 5]
+Troan & Droms               Standards Track                     [Page 4]
 
-Internet-Draft       IPv6 Prefix Options for DHCPv6        December 2003
+RFC 3633             IPv6 Prefix Options for DHCPv6        December 2003

    In this example, the delegating router is configured with a set of
@@ -333,9 +279,9 @@

-Troan & Droms             Expires June 3, 2004                  [Page 6]
+Troan & Droms               Standards Track                     [Page 5]
 
-Internet-Draft       IPv6 Prefix Options for DHCPv6        December 2003
+RFC 3633             IPv6 Prefix Options for DHCPv6        December 2003

    maintain consistency either by storing the IAID in non-volatile
@@ -346,8 +292,7 @@
 
    The configuration information in an IA_PD consists of one or more
    IPv6 prefixes along with the times T1 and T2 for the IA_PD.  See
-   section Section 9 for the representation of an IA_PD in a DHCP
-   message.
+   section 9 for the representation of an IA_PD in a DHCP message.
 
 7.  Overview of DHCP with Prefix Delegation
 
@@ -389,9 +334,10 @@

-Troan & Droms             Expires June 3, 2004                  [Page 7]
+
+Troan & Droms               Standards Track                     [Page 6]
 
-Internet-Draft       IPv6 Prefix Options for DHCPv6        December 2003
+RFC 3633             IPv6 Prefix Options for DHCPv6        December 2003

 8.  Interface Selection
@@ -437,7 +383,6 @@
     .                                                               .
     +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
 
-
    option-code:      OPTION_IA_PD (25)
 
    option-length:    12 + length of IA_PD-options field.
@@ -445,9 +390,10 @@

-Troan & Droms             Expires June 3, 2004                  [Page 8]
+
+Troan & Droms               Standards Track                     [Page 7]
 
-Internet-Draft       IPv6 Prefix Options for DHCPv6        December 2003
+RFC 3633             IPv6 Prefix Options for DHCPv6        December 2003

    IAID:             The unique identifier for this IA_PD; the IAID must
@@ -501,9 +447,9 @@

-Troan & Droms             Expires June 3, 2004                  [Page 9]
+Troan & Droms               Standards Track                     [Page 8]
 
-Internet-Draft       IPv6 Prefix Options for DHCPv6        December 2003
+RFC 3633             IPv6 Prefix Options for DHCPv6        December 2003

    IA_PD before the lifetimes expire, even if the delegating router is
@@ -557,16 +503,16 @@

-Troan & Droms             Expires June 3, 2004                 [Page 10]
+Troan & Droms               Standards Track                     [Page 9]
 
-Internet-Draft       IPv6 Prefix Options for DHCPv6        December 2003
+RFC 3633             IPv6 Prefix Options for DHCPv6        December 2003

    option-code:      OPTION_IAPREFIX (26)
 
    option-length:    25 + length of IAprefix-options field
 
-   preferred-lifetime:  The recommended preferred lifetime for the IPv6
+   preferred-lifetime: The recommended preferred lifetime for the IPv6
                      prefix in the option, expressed in units of
                      seconds.  A value of 0xFFFFFFFF represents
                      infinity.
@@ -613,9 +559,9 @@

-Troan & Droms             Expires June 3, 2004                 [Page 11]
+Troan & Droms               Standards Track                    [Page 10]
 
-Internet-Draft       IPv6 Prefix Options for DHCPv6        December 2003
+RFC 3633             IPv6 Prefix Options for DHCPv6        December 2003

 11.  Delegating Router Solicitation
@@ -669,9 +615,9 @@

-Troan & Droms             Expires June 3, 2004                 [Page 12]
+Troan & Droms               Standards Track                    [Page 11]
 
-Internet-Draft       IPv6 Prefix Options for DHCPv6        December 2003
+RFC 3633             IPv6 Prefix Options for DHCPv6        December 2003

    The delegating router sends an Advertise message to the requesting
@@ -725,9 +671,9 @@

-Troan & Droms             Expires June 3, 2004                 [Page 13]
+Troan & Droms               Standards Track                    [Page 12]
 
-Internet-Draft       IPv6 Prefix Options for DHCPv6        December 2003
+RFC 3633             IPv6 Prefix Options for DHCPv6        December 2003

    If such verification is needed the requesting router MUST initiate a
@@ -781,9 +727,9 @@

-Troan & Droms             Expires June 3, 2004                 [Page 14]
+Troan & Droms               Standards Track                    [Page 13]
 
-Internet-Draft       IPv6 Prefix Options for DHCPv6        December 2003
+RFC 3633             IPv6 Prefix Options for DHCPv6        December 2003

    Handling of Status Codes options in received Reply messages is
@@ -837,9 +783,9 @@

-Troan & Droms             Expires June 3, 2004                 [Page 15]
+Troan & Droms               Standards Track                    [Page 14]
 
-Internet-Draft       IPv6 Prefix Options for DHCPv6        December 2003
+RFC 3633             IPv6 Prefix Options for DHCPv6        December 2003

                        unable to determine if the prefix is not
@@ -893,9 +839,9 @@

-Troan & Droms             Expires June 3, 2004                 [Page 16]
+Troan & Droms               Standards Track                    [Page 15]
 
-Internet-Draft       IPv6 Prefix Options for DHCPv6        December 2003
+RFC 3633             IPv6 Prefix Options for DHCPv6        December 2003

 15.  Security Considerations
@@ -944,48 +890,79 @@
    from the status-code space as defined in section 24.4, "Status Codes"
    of RFC 3315.
 
-17.  Acknowledgements

 
-Troan & Droms             Expires June 3, 2004                 [Page 17]
+
+Troan & Droms               Standards Track                    [Page 16]
 
-Internet-Draft       IPv6 Prefix Options for DHCPv6        December 2003
+RFC 3633             IPv6 Prefix Options for DHCPv6        December 2003

-   Thanks for the input and review by (in alphabetical order) Steve
-   Deering, Dave Forster, Brian Haberman, Tatuya Jinmei, Shin Miyakawa,
-   Pekka Savola, Bernie Volz, Trevor Warwick and Toshi Yamasaki.
+17.  Intellectual Property Statement
+
+   The IETF takes no position regarding the validity or scope of any
+   intellectual property or other rights that might be claimed to
+   pertain to the implementation or use of the technology described in
+   this document or the extent to which any license under such rights
+   might or might not be available; neither does it represent that it
+   has made any effort to identify any such rights.  Information on the
+   IETF's procedures with respect to rights in standards-track and
+   standards-related documentation can be found in BCP-11.  Copies of
+   claims of rights made available for publication and any assurances of
+   licenses to be made available, or the result of an attempt made to
+   obtain a general license or permission for the use of such
+   proprietary rights by implementors or users of this specification can
+   be obtained from the IETF Secretariat.
+
+   The IETF invites any interested party to bring to its attention any
+   copyrights, patents or patent applications, or other proprietary
+   rights which may cover technology that may be required to practice
+   this standard.  Please address the information to the IETF Executive
+   Director.
 
 18.  References
 
 18.1.  Normative References
 
-   [1]        Deering, S. and R. Hinden, "Internet Protocol, Version 6
-              (IPv6) Specification", RFC 2460, December 1998.
+   [1]  Deering, S. and R. Hinden, "Internet Protocol, Version 6 (IPv6)
+        Specification", RFC 2460, December 1998.
+
+   [2]  Droms, R., Bound, J., Volz, B., Lemon, T., Perkins, C. and M.
+        Carney, "Dynamic Host Configuration Protocol for IPv6 (DHCPv6)",
+        RFC 3315, July 2003.
 
-   [2]        Droms, R., Bound, J., Volz, B., Lemon, T., Perkins, C.,
-              and M. Carney, "Dynamic Host Configuration Protocol for
-              IPv6 (DHCPv6)", RFC 3315, July 2003.
-
-   [3]        Bradner, S., "Key words for use in RFCs to Indicate
-              Requirement Levels", BCP 14, RFC 2119, March 1997.
-
-   [4]        Narten, T., Nordmark, E., and W. Simpson, "Neighbor
-              Discovery for IP Version 6 (IPv6)", RFC 2461, December
-              1998.
+   [3]  Bradner, S., "Key words for use in RFCs to Indicate Requirement
+        Levels", BCP 14, RFC 2119, March 1997.
 
-   [5]        Aboba, B., Zorn, G., and D. Mitton, "RADIUS and IPv6", RFC
-              3162, August 2001.
+   [4]  Narten, T., Nordmark, E. and W. Simpson, "Neighbor Discovery for
+        IP Version 6 (IPv6)", RFC 2461, December 1998.
+
+   [5]  Aboba, B., Zorn, G. and D. Mitton, "RADIUS and IPv6", RFC 3162,
+        August 2001.
 
 18.2.  Informative References
 
-   [6]        Miyakawa, S. and R. Droms, "Requirements for IPv6 prefix
-              delegation", draft-ietf-ipv6-prefix-delegation-
-              requirement-04 (work in progress), March 2004.
+   [6]  Miyakawa, S. and R. Droms, "Requirements for IPv6 prefix
+        delegation", Work in Progress, August 2003.
+
+
+
+
 
-Authors' Addresses
+Troan & Droms               Standards Track                    [Page 17]
+
+RFC 3633             IPv6 Prefix Options for DHCPv6        December 2003
+
+
+19.  Acknowledgements
+
+   Thanks for the input and review by (in alphabetical order) Steve
+   Deering, Dave Forster, Brian Haberman, Tatuya Jinmei, Shin Miyakawa,
+   Pekka Savola, Bernie Volz, Trevor Warwick and Toshi Yamasaki.
+
+20.  Authors' Addresses
 
    Ole Troan
    Cisco Systems
@@ -994,30 +971,26 @@
    United Kingdom
 
    Phone: +44 20 8824 8666
-   Email: [email-masked]
-
+   EMail: [email-masked]

+   Ralph Droms
+   Cisco Systems
+   1414 Massachusetts Avenue
+   Boxborough, MA  01719
+   USA
 
+   Phone: +1 978 936 1674
+   EMail: [email-masked]

 
-Troan & Droms             Expires June 3, 2004                 [Page 18]
-
-Internet-Draft       IPv6 Prefix Options for DHCPv6        December 2003

-   Ralph Droms
-   Cisco Systems
-   1414 Massachusetts Avenue
-   Boxborough, MA  01719
-   USA
 
-   Phone: +1 978 936-1674
-   Email: [email-masked]

@@ -1034,14 +1007,43 @@

+Troan & Droms               Standards Track                    [Page 18]
+
+RFC 3633             IPv6 Prefix Options for DHCPv6        December 2003

+21.  Full Copyright Statement
 
+   Copyright (C) The Internet Society (2003).  All Rights Reserved.
 
+   This document and translations of it may be copied and furnished to
+   others, and derivative works that comment on or otherwise explain it
+   or assist in its implementation may be prepared, copied, published
+   and distributed, in whole or in part, without restriction of any
+   kind, provided that the above copyright notice and this paragraph are
+   included on all such copies and derivative works.  However, this
+   document itself may not be modified in any way, such as by removing
+   the copyright notice or references to the Internet Society or other
+   Internet organizations, except as needed for the purpose of
+   developing Internet standards in which case the procedures for
+   copyrights defined in the Internet Standards process must be
+   followed, or as required to translate it into languages other than
+   English.
 
+   The limited permissions granted above are perpetual and will not be
+   revoked by the Internet Society or its successors or assignees.
 
+   This document and the information contained herein is provided on an
+   "AS IS" basis and THE INTERNET SOCIETY AND THE INTERNET ENGINEERING
+   TASK FORCE DISCLAIMS ALL WARRANTIES, EXPRESS OR IMPLIED, INCLUDING
+   BUT NOT LIMITED TO ANY WARRANTY THAT THE USE OF THE INFORMATION
+   HEREIN WILL NOT INFRINGE ANY RIGHTS OR ANY IMPLIED WARRANTIES OF
+   MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.
 
+Acknowledgement
 
+   Funding for the RFC Editor function is currently provided by the
+   Internet Society.

@@ -1061,4 +1063,5 @@

-Troan & Droms             Expires June 3, 2004                 [Page 19]
+Troan & Droms               Standards Track                    [Page 19]
+